Bulk quick-complete work orders
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/bulk/quick-complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"work_order_ids": [
123
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/bulk/quick-complete"
payload = { "work_order_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({work_order_ids: [123]})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/bulk/quick-complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>",
"result": {}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Work Orders
Bulk quick-complete work orders
Quick-complete multiple work orders in a single request (up to 100 at a time).
POST
/
work-orders
/
bulk
/
quick-complete
Bulk quick-complete work orders
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
IDs of the work orders to quick-complete.
Required array length:
1 - 100 elementsResponse
Successful response
Show child attributes
Show child attributes
⌘I